Vue.directive('select', {
  twoWay: true,
  priority: 1000,

  params: ['options','s2Options'],//tag is :options and :s2-options

  bind: function () {
  	var s2options = {placeholder : 'Please Select', allowClear : true}
  	var paramsS2options = this.params.s2Options
    if(paramsS2options) {
    	s2options = paramsS2options
    }
    var options = this.params.options
    if(options) s2options.data = options;
    var self = this
    $(this.el)
      .select2(s2options)
      .on('change', function () {
      	self.set($(self.el).val())
      })
  },
  update: function (value) {
    $(this.el).val(value).trigger('change')
  },
  unbind: function () {
    $(this.el).off().select2('destroy')
  }
})