

var store = new Vuex.Store({
  state:   com.metastay.valeyvue.store.StateInit().init(),
  mutations:  new com.metastay.valeyvue.store.Mutations()
})


// Router definition

Vue.use(VueRouter)

var router = new VueRouter()

router.redirect({
  '/' : '/flow/search'
});

router.map({
    '/flow/search': {
        component: ValeyVue.Components.Flow_search,
    },
    '/task/search': {
            component: ValeyVue.Components.Task_search,
    },
    '/flowSummary/:flowId': {
        component: ValeyVue.Components.Flow_summary
    },
    '/taskSummary/SIMPLE_TASK/:taskId': {
        component: ValeyVue.Components.Simple_task_summary
    },
    '/taskSummary/MI_TASK/:taskId': {
        component: ValeyVue.Components.Mi_task_summary
    },
    '/taskSummary/MI_CHILD_TASK/:taskId': {
            component: ValeyVue.Components.Mi_child_task_summary
    },
    '/taskSummary/FLOW/:taskId': {
        component: ValeyVue.Components.Task_flow_summary
    },
    '/taskSummary/MI_FLOW/:taskId': {
        component: ValeyVue.Components.Mi_task_flow_summary
    }
})

// define the app and start the router
var App = Vue.extend({store : store})

router.start(App, '#app')





