Vue.directive('datetimepicker', {
    twoWay: true,
    priority: 1000,

    params: ['format'],

    bind: function () {
        var datepicker_format = this.params.format
        var self = this
        $(this.el)
        .datetimepicker({format: datepicker_format})
    },
    update: function (value) {
        $(this.el).val(value).trigger('change')
    },
    unbind: function () {
        $(this.el).off().datetimepicker('destroy')
    }
})